Subject: Re: What's cooking in git.git (Jul 2025, #02; Mon, 7)

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Jul 2025 21:24:14 -0700

"brian m. carlson" <[email-masked]> writes:

> On 2025-07-08 at 00:11:12, Junio C Hamano wrote:
>> * bc/use-sha256-by-default-in-3.0 (2025-07-01) 11 commits
>>  - Enable SHA-256 by default in breaking changes mode
>>  - help: add a build option for default hash
>>  - t5300: choose the built-in hash outside of a repo
>>  - t4042: choose the built-in hash outside of a repo
>>  - t1007: choose the built-in hash outside of a repo
>>  - t: default to compile-time default hash if not set
>>  - setup: use the default algorithm to initialize repo format
>>  - Use legacy hash for legacy formats
>>  - builtin: use default hash when outside a repository
>>  - hash: add a constant for the legacy hash algorithm
>>  - hash: add a constant for the default hash algorithm
>> 
>>  Prepare to flip the default hash function to SHA-256.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> Patrick Steinhardt thought this looked fine and I didn't have any
> intentions for another round, so I suspect it's ready.

No worries.  During today's integration cycle, I read them over once
again, moved it up in the merge order in preparation for marking it
for 'next' [*].

> Of course, if people disagree and would like more changes, please say
> so.

Surely.

Thanks.

[Footnote]

 * The range master..seen is separated into two parts by a merge
   commit called 'jch', which is usually the version I use for my
   daily work, and I do not merge anything down to 'next' until the
   topic has spent at least half a day in 'jch'.